[Overview][Constants][Types][Classes][Index] | Reference for unit 'syncobjs' (#fcl)

# TCriticalSection.Destroy

Destroy the criticalsection instance

## Declaration

Source position: syncobjs.pp line 48

`public destructor TCriticalSection.Destroy; override;`

## Description

Destroy releases the system critical section resources, and removes the TCriticalSection instance from memory.

## Errors

Any threads trying to enter the critical section when it is destroyed, will start running with an error (an exception should be raised).

## See also

Create |  | Create a new critical section.
Acquire |  | Enter the critical section

The latest version of this document can be found at lazarus-ccr.sourceforge.net .